#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xFD,0xF5,0x20,0xC3,0xB2,0xA6,0x27,0x8D,0x15,0xA6,0xE2,0xFF,
		0x6B,0x4E,0x82,0xA6,0x44,0x91,0xE5,0x5D,0x2C,0x82,0xDA,0x29,
		0x99,0x72,0x9D,0xB6,0xC8,0xEB,0xE6,0x57,0x1F,0x78,0x6C,0xFB,
		0x93,0x1C,0x4C,0xB8,0xE8,0x5A,0xCA,0x3C,0xB8,0xDF,0xE5,0xA5,
		0xB8,0x1F,0xB4,0x90,0xAE,0x55,0x4A,0x4B,0x78,0x20,0xEC,0xCE,
		0x38,0x80,0x12,0xEB,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
